#ifndef _INTERRUPT_C_
#define _INTERRUPT_C_

/*********************************************************************************************************************/
#include "include/ca51f_config.h"		
#include "include/ca51f2sfr.h"
#include "include/ca51f2xsfr.h"
#include "include/gpiodef_f2.h"
#include "include/system_clock.h"
#include "include/uart.h"
#include "include/ext_int.h"
/*********************************************************************************************************************/

/*********************************************************************************************************************/

void INT2_ISR (void) interrupt 7 	 
{
#ifdef HAVE_EXINT2_EN
	EXT_INT2_ISR();
#endif
}

void INT3_ISR (void) interrupt 8
{	
#ifdef HAVE_EXINT3_EN
	EXT_INT3_ISR();
#endif	
}

void INT4_ISR (void) interrupt 9
{	
#ifdef HAVE_EXINT4_EN
	EXT_INT4_ISR();
#endif
}

void INT5_ISR (void) interrupt 10
{	
#ifdef HAVE_EXINT5_EN
	EXT_INT5_ISR();
#endif
}

void INT6_ISR (void) interrupt 11 
{
#ifdef HAVE_EXINT6_EN
	EXT_INT6_ISR();
#endif
}

void INT7_ISR (void) interrupt 12 
{
#ifdef HAVE_EXINT7_EN
	EXT_INT7_ISR();
#endif
}

void INT8_ISR (void) interrupt 13 	 
{
#ifdef HAVE_EXINT8_EN
	EXT_INT8_ISR();
#endif
}

void INT9_ISR (void) interrupt 14 	 
{
#ifdef HAVE_EXINT9_EN
	EXT_INT9_ISR();
#endif
}

#endif
